Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultSupplyProblemType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v3.ConsultSupplyProblemType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:11:32+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultSupplyProblemType

extends Object
implements Serializable

Java class for ConsultSupplyProblemType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupplyProblemType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ExpectedEndOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ReportedBy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ReportedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ContactName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ContactMail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ContactCompany" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Phone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Reason" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="DerogationImport" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultDerogationImportType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultSupplyProblemType()`

Method Summary
`String` | `getContactCompany()` Gets the value of the contactCompany property.
`String` | `getContactMail()` Gets the value of the contactMail property.
`String` | `getContactName()` Gets the value of the contactName property.
`List<ConsultDerogationImportType>` | `getDerogationImports()` Gets the value of the derogationImports property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getExpectedEndOn()` Gets the value of the expectedEndOn property.
`String` | `getPhone()` Gets the value of the phone property.
`ConsultTextType` | `getReason()` Gets the value of the reason property.
`String` | `getReportedBy()` Gets the value of the reportedBy property.
`org.joda.time.DateTime` | `getReportedOn()` Gets the value of the reportedOn property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setContactCompany(String value)` Sets the value of the contactCompany property.
`void` | `setContactMail(String value)` Sets the value of the contactMail property.
`void` | `setContactName(String value)` Sets the value of the contactName property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setExpectedEndOn(org.joda.time.DateTime value)` Sets the value of the expectedEndOn property.
`void` | `setPhone(String value)` Sets the value of the phone property.
`void` | `setReason(ConsultTextType value)` Sets the value of the reason property.
`void` | `setReportedBy(String value)` Sets the value of the reportedBy property.
`void` | `setReportedOn(org.joda.time.DateTime value)` Sets the value of the reportedOn property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultSupplyProblemType

    public ConsultSupplyProblemType()

Method Detail

### getExpectedEndOn

    public org.joda.time.DateTime getExpectedEndOn()

  Gets the value of the expectedEndOn property.

  Returns:
    possible object is `String`

### setExpectedEndOn

    public void setExpectedEndOn(org.joda.time.DateTime value)

  Sets the value of the expectedEndOn property.

  Parameters:
    `value` - allowed object is `String`

### getReportedBy

    public String getReportedBy()

  Gets the value of the reportedBy property.

  Returns:
    possible object is `String`

### setReportedBy

    public void setReportedBy(String value)

  Sets the value of the reportedBy property.

  Parameters:
    `value` - allowed object is `String`

### getReportedOn

    public org.joda.time.DateTime getReportedOn()

  Gets the value of the reportedOn property.

  Returns:
    possible object is `String`

### setReportedOn

    public void setReportedOn(org.joda.time.DateTime value)

  Sets the value of the reportedOn property.

  Parameters:
    `value` - allowed object is `String`

### getContactName

    public String getContactName()

  Gets the value of the contactName property.

  Returns:
    possible object is `String`

### setContactName

    public void setContactName(String value)

  Sets the value of the contactName property.

  Parameters:
    `value` - allowed object is `String`

### getContactMail

    public String getContactMail()

  Gets the value of the contactMail property.

  Returns:
    possible object is `String`

### setContactMail

    public void setContactMail(String value)

  Sets the value of the contactMail property.

  Parameters:
    `value` - allowed object is `String`

### getContactCompany

    public String getContactCompany()

  Gets the value of the contactCompany property.

  Returns:
    possible object is `String`

### setContactCompany

    public void setContactCompany(String value)

  Sets the value of the contactCompany property.

  Parameters:
    `value` - allowed object is `String`

### getPhone

    public String getPhone()

  Gets the value of the phone property.

  Returns:
    possible object is `String`

### setPhone

    public void setPhone(String value)

  Sets the value of the phone property.

  Parameters:
    `value` - allowed object is `String`

### getReason

    public ConsultTextType getReason()

  Gets the value of the reason property.

  Returns:
    possible object is `ConsultTextType`

### setReason

    public void setReason(ConsultTextType value)

  Sets the value of the reason property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getDerogationImports

    public List<ConsultDerogationImportType> getDerogationImports()

  Gets the value of the derogationImports property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the derogationImports property.

  For example, to add a new item, do as follows:

          getDerogationImports().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultDerogationImportType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.